<?php
session_start();
$usuario=$_SESSION['rut'];
include '../../conexion/conn.php';

$folio_planilla = $_REQUEST['folio_planilla'];
$norma_id = $_REQUEST['norma_id'];


$rs = mysql_query("SELECT * FROM norma_detalle WHERE norma_id='$norma_id'");
if($row= mysql_fetch_array($rs)){
    $norma_id=$row['norma_id'];
    $id_parametro=$row['id_parametro'];
}

$rs = mysql_query("SELECT planilla_datos.nlote, planilla_datos.nembarque, planilla_datos.npallet, planilla_datos.nproceso, planilla_datos.nhidro, planilla_datos.nfrio, planilla_datos.ncamara, planilla_datos.observacion, planilla_datos.nlinea, planilla_datos.nsalida, planilla_datos.nespecie FROM planilla_datos INNER JOIN norma_detalle ON norma_detalle.id_norma_detalle=planilla_datos.id_norma_detalle WHERE norma_detalle.norma_id='$norma_id' AND norma_detalle.id_parametro='$id_parametro' AND planilla_datos.folio_planilla='$folio_planilla' ORDER BY planilla_datos.fecha_crea DESC");
if($row= mysql_fetch_array($rs)){
    $nlote=$row['nlote'];
    $nembarque=$row['nembarque'];
    $npallet=$row['npallet'];
    $nproceso=$row['nproceso'];
    $nhidro=$row['nhidro'];
    $nfrio=$row['nfrio'];
    $ncamara=$row['ncamara'];
    $nlinea=$row['nlinea'];
    $nsalida=$row['nsalida'];
    $nespecie=$row['nespecie'];
    $observacion=$row['observacion'];
}else{
    $nlote="";
    $nembarque="";
    $npallet="";
    $nproceso="";
    $nhidro="";
    $nfrio="";
    $ncamara="";
    $nlinea="";
    $nsalida="";
    $nespecie="";
    $observacion="";
}

echo '
            <form id="ff2" method="post" novalidate enctype="multipart/form-data">
                <div>';

                if($tipo_dato=='NUMERICO MENOR MAYOR'){
                
                echo "<label>VALOR</label>
                    <input type='text' id='valor1_ingresado' name='valor1_ingresado' style='width:100%'>";
                ?>
                <script>
                $('#valor1_ingresado').numberbox({
                    min:-3,
                    precision:1
                });
                 </script>
                <?php 
                }else if($tipo_dato=='SELLADO BOLSA'){
                echo "CANTIDAD BOLSAS MALAS<input type='text' id='valor1_ingresado' name='valor1_ingresado' style='width:100%'><br/>CANTIDAD BOLSAS REVISADAS<input type='text' id='valor2_ingresado' name='valor2_ingresado' style='width:100%'>";
                 ?>
                <script>
                $('#valor1_ingresado').numberbox({
                    min:0,
                    precision:1
                });
                $('#valor2_ingresado').numberbox({
                    min:-3,
                    precision:1
                });
                 </script>
                <?php
            }else if($tipo_dato=='NUMERICO MAYOR MENOR'){
                echo "<label>VALOR</label><input type='text' id='valor1_ingresado' name='valor1_ingresado' style='width:100%'>";
                
                ?>
                <script>
                $('#valor1_ingresado').numberbox({
                    min:-3,
                    precision:1
                });
                 </script>
                <?php
            }else if($tipo_dato=='NUMERICO DOBLE RANGO'){
                echo "<label>VALOR</label><input type='text' id='valor1_ingresado' name='valor1_ingresado' style='width:100%'>";
                
                ?>
                <script>
                $('#valor1_ingresado').numberbox({
                    min:-3,
                    precision:1
                });
                 </script>
                <?php
            }else if($tipo_dato=='FOTO'){
                echo "<label>FOTO</label><input id='valor1_ingresado' name='valor1_ingresado' type='file' accept='image/*' capture='camera'>";
            }else if($tipo_dato=='CHECK SINO'){
               echo "<label>VALOR</label><input id='valor1_ingresado' name='valor1_ingresado' style='width:200px;height:30px'>";
                
                ?>
                <script>
                $('#valor1_ingresado').switchbutton({
                    checked: true,
                    onText: 'SI',
                    offText: 'NO',
                    onChange: function(checked){
                        console.log(checked);
                    }
                });
                 </script>
                <?php
            }else if($tipo_dato=='CHECK BUENO MALO'){
                echo "<label>VALOR</label><input id='valor1_ingresado' name='valor1_ingresado' style='width:200px;height:30px'>";
                
                ?>
                <script>
                $('#valor1_ingresado').switchbutton({
                    checked: true,
                    onText: 'BUENO',
                    offText: 'MALO',
                    onChange: function(checked){
                        console.log(checked);
                    }
                });
                 </script>
                <?php
            }else if($tipo_dato='NUMERICO TEXTO'){
                echo "<label>VALOR</label><input id='valor1_ingresado' name='valor1_ingresado' type='text' style='width:100%'>";
                
                ?>
                <script>
                $('#valor1_ingresado').textbox({
                    
                });
                 </script>
                <?php
            }else if($tipo_dato='TEXTO'){
                echo "<label>VALOR</label><input id='valor1_ingresado' name='valor1_ingresado' type='text' style='width:100%'>";
                
                ?>
                <script>
                $('#valor1_ingresado').textbox({
                    
                });
                 </script>
                <?php
            }else if($tipo_dato='OBSERVACION'){
                echo "<label>VALOR</label><input id='valor1_ingresado' name='valor1_ingresado' type='text' style='width:100%'>";
                
                ?>
                <script>
                $('#valor1_ingresado').textbox({
                    
                });
                 </script>
                <?php
            }
            $rs = mysql_query("SELECT * FROM norma_detalle INNER JOIN defectos ON defectos.defecto_id=norma_detalle.defecto_id WHERE norma_detalle.norma_id='$norma_id' AND norma_detalle.id_parametro='$id_parametro' AND norma_detalle.norma_det_valor_tipo='OBLIGATORIO'");
            while($row= mysql_fetch_array($rs)){
                $tipo_dato_grafico=$row['tipo_dato'];
                if($tipo_dato_grafico=='NLOTE'){
                    echo "<label>".$row['defecto_nombre']."</label><input id='nlote' name='nlote' type='text' value='".$nlote."' style='width:100%'>";
                    ?>
                    <script>
                    $('#nlote').textbox({
                        
                    });
                     </script>
                    <?php
                }else if($tipo_dato_grafico=='NEMBARQUE'){
                    echo "<label>".$row['defecto_nombre']."</label><input id='nembarque' name='nembarque' type='text' value='".$nembarque."' style='width:100%'>";
                    ?>
                    <script>
                    $('#nembarque').textbox({
                        
                    });
                     </script>
                    <?php
                }else if($tipo_dato_grafico=='NPALLET'){
                    echo "<label>".$row['defecto_nombre']."</label><input id='npallet' name='npallet' type='text' value='".$npallet."' style='width:100%'>";
                    ?>
                    <script>
                    $('#npallet').textbox({
                        
                    });
                     </script>
                    <?php
                }else if($tipo_dato_grafico=='NCAMARA'){
                    echo "<label>".$row['defecto_nombre']."</label><input id='ncamara' name='ncamara' type='text' value='".$ncamara."' style='width:100%'>";
                    ?>
                    <script>
                    $('#ncamara').textbox({
                        
                    });
                     </script>
                    <?php
                }else if($tipo_dato_grafico=='NPROCESO'){
                    echo "<label>".$row['defecto_nombre']."</label><input id='nproceso' name='nproceso' type='text' value='".$nproceso."' style='width:100%'>";
                    ?>
                    <script>
                    $('#nproceso').textbox({
                        
                    });
                     </script>
                    <?php
                }else if($tipo_dato_grafico=='NHIDRO'){
                    echo "<label>".$row['defecto_nombre']."</label><input id='nhidro' name='nhidro' type='text' value='".$nhidro."' style='width:100%'>";
                    ?>
                    <script>
                    $('#nhidro').textbox({
                        
                    });
                     </script>
                    <?php
                }else if($tipo_dato_grafico=='NFRIO'){
                    echo "<label>".$row['defecto_nombre']."</label><input id='nfrio' name='nfrio' type='text' value='".$nfrio."' style='width:100%'>";
                    ?>
                    <script>
                    $('#nfrio').textbox({
                        
                    });
                     </script>
                    <?php
                }else if($tipo_dato_grafico=='NLINEA'){
                    echo "<label>".$row['defecto_nombre']."</label><input id='nlinea' name='nlinea' type='text' value='".$nlinea."' style='width:100%'>";
                    ?>
                    <script>
                    $('#nlinea').textbox({
                        
                    });
                     </script>
                    <?php
                }else if($tipo_dato_grafico=='NSALIDA'){
                    echo "<label>".$row['defecto_nombre']."</label><input id='nsalida' name='nsalida' type='text' value='".$nsalida."' style='width:100%'>";
                    ?>
                    <script>
                    $('#nsalida').textbox({
                        
                    });
                     </script>
                    <?php
                }else if($tipo_dato_grafico=='NESPECIE'){
                    echo "<label>".$row['defecto_nombre']."</label><input id='nespecie' name='nespecie' type='text' value='".$nespecie."' style='width:100%'>";
                    ?>
                    <script>
                    $('#nespecie').textbox({
                        
                    });
                     </script>
                    <?php
                }else if($tipo_dato_grafico=='OBSERVACION'){
                    echo "<label>".$row['defecto_nombre']."</label><input id='observacion' name='observacion' type='text' value='".$observacion."' style='width:100%'>";
                    ?>
                    <script>
                    $('#observacion').textbox({
                        
                    });
                     </script>
                    <?php
                }
            }
                    

                    echo '
                </div>
            </form>
            <div class="dialog-button">
                <a href="javascript:void(0)" class="easyui-linkbutton" style="width:100%;height:35px" onclick="guardarReg2();">Guardar</a>
                 <a href="javascript:void(0)" class="easyui-linkbutton" style="width:100%;height:35px" onclick="$.mobile.back();">Cancelar</a>
            </div>
            ';


    ?>